easy_admin:
    entities:
        Block:
            controller: Notimeo\BlocksBundle\Controller\Backend\AdminBlocksController
            class: Notimeo\BlocksBundle\Entity\Block
            list_type: tree
            list_col: region
            search:
                fields:
                    - title
            list:
                title: entity.block.title.list
                fields:
                    - { property: title, label: common.title }
                    - { property: workingName, label: common.working_name }
                    - { property: updateDate, label: common.update_date }
                actions:
                    - { name: 'new', icon: 'plus' }
                    - { name: 'edit', icon: 'pencil' }
                    - { name: 'delete', icon: 'trash' }
            form:
                title: entity.block.title.new
                fields:
                    - type: 'group'
                      css_class: 'col-lg-8'
                      label: 'common.main_content'
                      icon: 'paint-brush'

                    - property: locales
                      type: collection
                      type_options:
                          entry_type: 'Notimeo\BlocksBundle\Form\Type\BlockLocaleType'
                          error_bubbling: false
                          by_reference: false
                          label: false


                    - type: 'group'
                      css_class: 'col-lg-4'
                      label: 'common.other'
                      icon: 'edit'

                    - property: region
                      label: entity.block_region.name.single_short
                    - property: workingName
                      label: common.working_name
                      help: common.working_name.help
            edit:
                title: entity.block.title.edit
                fields:
                    - property: workingName
                      type_options:
                            disabled: true
        BlockRegion:
            class: Notimeo\BlocksBundle\Entity\BlockRegion
            disabled_actions: ['show', 'delete', 'search', 'new']
            list:
                title: entity.block_region.title.list
                fields:
                    - property: name
                      label: common.name
                    - property: defaultRegion
                      label: entity.block_region.form.label.default_region
                actions:
                    - name: list
                      label: entity.block.title.list_short
                      entity: Block
                      icon: list
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
            form:
                title: entity.block_region.title.new
                fields:
                    - type: 'group'
                      css_class: 'col-lg-8'
                      label: 'common.main_content'
                      icon: 'paint-brush'
                    - property: name
                      label: common.name

                    - type: 'group'
                      css_class: 'col-lg-4'
                      label: 'common.other'
                      icon: 'edit'

                    - property: defaultRegion
                      label: entity.block_region.form.label.default_region
                    - property: workingName
                      label: common.working_name
                      help: common.working_name.help
            edit:
                title: entity.block_region.title.edit
                fields:
                    - property: workingName
                      type_options:
                            disabled: true